Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.timer
Class TimerManager.ProcessTimerInputMarshaller

    java.lang.Object
      org.jbpm.process.instance.timer.TimerManager.ProcessTimerInputMarshaller

All Implemented Interfaces:
  org.drools.core.marshalling.impl.TimersInputMarshaller

Enclosing class:
  TimerManager

    public static class TimerManager.ProcessTimerInputMarshaller

extends Object
implements org.drools.core.marshalling.impl.TimersInputMarshaller

Constructor Summary
`TimerManager.ProcessTimerInputMarshaller()`

Method Summary
`void` | `deserialize(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx, org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer _timer)`
`void` | `read(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)`
`static TimerInstance` | `readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerManager.ProcessTimerInputMarshaller

    public TimerManager.ProcessTimerInputMarshaller()

Method Detail

### read

    public void read(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)
              throws IOException,
                     ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### readTimer

    public static TimerInstance readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                   throws IOException

  Throws:
    `IOException`

### deserialize

    public void deserialize(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx,
                            org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer _timer)
                     throws ClassNotFoundException

  Specified by:
    `deserialize` in interface `org.drools.core.marshalling.impl.TimersInputMarshaller`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.